ALAS-2017-932


Amazon Linux AMI Security Advisory: ALAS-2017-932
Advisory Release Date: 2017-12-21 22:55 Pacific
Severity: Critical

Issue Overview:

Use-after-free in receive_msg function via vectors involving BDAT commands
The receive_msg function in receive.c in the SMTP daemon in Exim 4.88 and 4.89 allows remote attackers to execute arbitrary code or cause a denial of service (use-after-free) via vectors involving BDAT commands. (CVE-2017-16943 )

Infinite loop and stack exhaustion in receive_msg function via vectors involving BDAT commands
The receive_msg function in receive.c in the SMTP daemon in Exim 4.88 and 4.89 allows remote attackers to cause a denial of service (infinite loop and stack exhaustion) via vectors involving BDAT commands and an improper check for a '.' character signifying the end of the content, related to the bdat_getc function. (CVE-2017-16944 )


Affected Packages:

exim


Issue Correction:
Run yum update exim to update your system.

New Packages:
i686:
    exim-mysql-4.89-4.17.amzn1.i686
    exim-greylist-4.89-4.17.amzn1.i686
    exim-debuginfo-4.89-4.17.amzn1.i686
    exim-pgsql-4.89-4.17.amzn1.i686
    exim-mon-4.89-4.17.amzn1.i686
    exim-4.89-4.17.amzn1.i686

src:
    exim-4.89-4.17.amzn1.src

x86_64:
    exim-debuginfo-4.89-4.17.amzn1.x86_64
    exim-4.89-4.17.amzn1.x86_64
    exim-greylist-4.89-4.17.amzn1.x86_64
    exim-mysql-4.89-4.17.amzn1.x86_64
    exim-pgsql-4.89-4.17.amzn1.x86_64
    exim-mon-4.89-4.17.amzn1.x86_64